[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazAVLPalette

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Descendant of TFPPalette which uses an AVL tree for speed up.

## Declaration

Source position: intfgraphics.pas line 298

`type TLazAVLPalette = class(TFPPalette)`
`protected`
`FAVLPalette: TAvlTree;`
`FAVLNodes: PAvlTreeNode;`
`procedure SetCount(); override;` |  |
`procedure SetColor(); override;` |  |
`function CompareEntries();` |  |
`function CompareColorWithEntries();` |  |
`procedure EnlargeData; override;` |  |
`public`
`destructor Destroy; override;` |  | Destructor for the class instance.
`function IndexOf(); override;` |  |
`function Add(); override;` |  |
`procedure CheckConsistency; virtual;` |  |
`end;`

## Inheritance

`TLazAVLPalette` |  | Descendant of TFPPalette which uses an AVL tree for speed up.
`TFPPalette`
?
`TObject`